.price_chart .date__to,
.price_chart .date__or {
  margin: 0px 20px 0px 0px;
  font-size: 16px;
  font-family: JMSansRegular;
  line-height: 21px;
  color: #333333;
}
.price_chart .date__or {
  text-transform: uppercase;
}
.price_chart ul,
.price_chart li {
  list-style: none;
  padding: 0;
}
.price_chart .chart__sec {
  margin-top: 30px;
}
.price_chart .exportNode {
  padding: 12px 8px;
  background-color: white;
  color: black;
}
.price_chart .exportNodeMouseover {
  padding: 12px 8px;
  background-color: #2196f3;
  color: white;
}
.price_chart .exportNodeMouseout {
  padding: 12px 8px;
  background-color: white;
  color: black;
}
.price_chart .baseprice__text {
  font: 14px/22px JMSansRegular;
  color: #666666;
  float: right;
}
.price_chart .pricedisc__link {
  font: 14px/22px JMSansRegular;
  color: #1E22AA;
  text-decoration: underline;
  text-decoration-color: #1E22AA;
}
.price_chart .custom-select {
  width: 100%;
  position: relative;
  height: 56px;
}
.price_chart .custom-select select {
  display: none;
}
.price_chart .chart__contain {
  margin-top: 48px;
}
.price_chart .selected-item {
  background: #be0071;
  padding: 5px 20px;
  color: #fff;
  cursor: pointer;
  z-index: 99;
}
.price_chart .selected-item:after {
  font-family: FontAwesome;
  content: "\f107";
  font-size: 20px;
  color: #fff;
  position: absolute;
  right: 10px;
  transition: 0.5s;
}
.price_chart .arrowanim.selected-item:after {
  transform: rotate(180deg);
}
.price_chart .item {
  background: #be0071;
  padding: 5px 20px;
  color: #fff;
  border-top: 1px solid #99005c;
  cursor: pointer;
}
.price_chart .item:hover {
  background: #99005c;
}
.price_chart .all-items {
  position: absolute;
  top: 100%;
  left: 0;
  width: 100%;
  z-index: 100;
}
.price_chart .all-items-hide {
  display: none;
}
.price_chart .sdf {
  border: 1px solid red;
}
.price_chart .flex-container {
  display: flex;
  flex-wrap: nowrap;
  background-color: DodgerBlue;
}
.price_chart .flex-container > div {
  background-color: #f1f1f1;
  width: 120px;
  margin: 0px;
  text-align: center;
  line-height: 25px;
  font-size: 14px;
}
.price_chart .checkbox-container {
  display: flex;
  align-items: center;
}
.price_chart .checkbox-container input[type=checkbox] {
  border: none;
  outline: none;
  position: absolute;
  opacity: 0;
  z-index: 1;
  cursor: pointer;
  width: 100%;
  height: 100%;
}
.price_chart .checkbox-container input[type=checkbox]:checked + label::after {
  content: url(../image/chechboxarrw2.png);
  left: 0;
  top: 0;
  position: absolute;
}
.price_chart .checkbox-container label::before {
  content: url(../image/checkbox5.png);
  position: relative;
  top: 0;
  left: 1px;
}
.price_chart .right-inner-addon {
  position: relative;
}
.price_chart .right-inner-addon input {
  padding-right: 30px;
}
.price_chart .right-inner-addon i {
  position: absolute;
  right: 14px;
  padding: 20px 16px 0px;
  pointer-events: none;
  color: #1e22aa;
}
.price_chart .dots {
  height: 16px;
  width: 16px;
  border-radius: 50%;
  margin: 0px 12px 0px 15px;
}
.price_chart .blueDot {
  background-color: #1e22aa;
}
.price_chart .skyBlueDot {
  background-color: #0099e6;
}
.price_chart .pinkDot {
  background-color: #e50475;
}
.price_chart .lightBlue {
  background-color: #8ed2c9;
}
.price_chart .violetDot {
  background-color: #6c4099;
}
.price_chart .priceConatiner {
  display: flex;
  justify-content: space-between;
  border-bottom: 1px solid rgba(0, 0, 0, 0.1215686275);
}
.price_chart .pricelist__container {
  display: inline-flex;
  padding: 37px 0px 20px 20px;
}
.price_chart .pricelist__heading {
  display: flex;
  justify-content: space-between;
  padding: 20px 17px 22px 20px;
  border-bottom: 1px solid rgba(0, 0, 0, 0.1215686275);
  border-top: 1px solid rgba(0, 0, 0, 0.1215686275);
  margin-top: 16px;
}
.price_chart .pricelist__heading p {
  margin-bottom: 0;
}
.price_chart .price__currency {
  font: 14px/22px JMSansRegular;
  color: #666666;
  display: block;
  text-align: right;
}
.price_chart metlprice__heading {
  font: 14px/20px JMSansMedium;
  color: #333333;
  text-align: left;
}
.price_chart .priceCurrent__values {
  padding: 20px 17px 20px 20px;
  font: 14px/20px JMSansRegular;
  color: #666666;
}
.price_chart div.pricelist__container {
  font: 14px/20px JMSansRegular;
  color: #666666;
}
.price_chart .lastUpdatedPriceValue {
  color: #333333;
}
.price_chart .lastUpdatedTitle,
.price_chart .chart__avgvalues {
  font: 14px/22px JMSansRegular;
  color: #666666;
}
.price_chart .chart__avgvalues {
  padding-top: 25px;
  display: flex;
  justify-content: space-between;
}
.price_chart .chart__avgvalues p {
  margin-bottom: 0px !important;
}
.price_chart .save__icon {
  background: url(../image/save_alt-blue-48dp.svg) 0 0 no-repeat transparent;
  width: 30px;
  height: 24px;
  display: block;
  margin-left: 12px;
  cursor: pointer;
  justify-content: space-between;
}
.price_chart .save__as {
  background: url(../image/save-blue-48dp.svg) 0 0 no-repeat transparent;
  width: 24px;
  height: 24px;
  display: block;
  margin-left: 12px;
  cursor: pointer;
  justify-content: space-between;
}
.price_chart .exportPNG {
  border-bottom: 1px solid rgba(0, 0, 0, 0.1);
  padding-bottom: 16px;
  width: 290px;
}
.price_chart .export__text {
  font: 18px/24px JMSansRegular;
  color: #333333;
  display: flex;
  justify-content: space-between;
}
.price_chart div.dropdown {
  display: inline-block;
  position: relative;
}
.price_chart div.dropdown button {
  font: 16px/21px JMSansRegular;
  background: #f2f2f2;
  color: #666666;
  border: 0px;
  border-radius: 2px;
  width: 240px;
  cursor: pointer;
  text-align: left;
  padding: 22px 0px 18px 20px;
}
.price_chart div.dropdown button:before,
.price_chart div.dropdown button:after {
  display: block;
  content: "";
  width: 2px;
  height: 8px;
  background: #1e22aa;
  position: absolute;
  top: 50%;
  margin-top: -4px;
}
.price_chart div.dropdown button:before {
  right: 21px;
  transform: rotate(-45deg);
}
.price_chart div.dropdown button:after {
  right: 16px;
  transform: rotate(45deg);
}
.price_chart div.dropdown ul {
  display: none;
  position: absolute;
  background: #fff;
  list-style: none;
  line-height: 1em;
  top: 0px;
  left: 0px;
  padding: 0;
  width: 290px;
  margin: 0;
  z-index: 1;
}
.price_chart div.dropdown ul li {
  padding: 0.8em;
  cursor: pointer;
}
.price_chart div.dropdown ul li.searchInput {
  padding: 0.5em;
}
.price_chart div.dropdown ul li.searchInput input {
  width: 100%;
  border: none;
  padding: 1em;
  outline: none;
  float: right;
  color: #666666;
  margin-bottom: 20px;
}
.price_chart .searchInput.valid input {
  background: url("../image/visibility-blue.svg") no-repeat transparent;
  background-position: calc(100% - 5px) center;
  border-bottom: 2px solid #1e22aa !important;
}
.price_chart .searchInput.invalid input {
  background: url("../image/visibility-red.svg") no-repeat transparent;
  background-position: calc(100% - 5px) center;
  border-bottom: 2px solid red !important;
}
.price_chart .searchInput input:valid {
  color: #333333;
}
.price_chart .searchContainer .savedSearches {
  margin: 0.8em 0;
}
.price_chart #primary_nav_wrap ul {
  list-style: none;
  right: calc((100% - 595px) / 2);
  padding: 0;
  position: relative;
}
.price_chart #primary_nav_wrap ul button {
  border: 2px solid #1e22aa !important;
  width: 136px !important;
  padding: 19px 0px 16px 24px;
  font: 18px/22px JMSansMedium;
  text-transform: uppercase;
  color: #1e22aa;
  display: flex;
  background-color: #ffffff;
  cursor: pointer;
}
.price_chart #primary_nav_wrap ul li {
  position: relative;
  margin: 0;
  padding: 0;
}
.price_chart #primary_nav_wrap ul ul {
  display: none;
  position: absolute;
  top: 80%;
  z-index: 99;
  padding: 0;
}
.price_chart #primary_nav_wrap ul ul li {
  background-color: #fff;
}
.price_chart #primary_nav_wrap ul ul div {
  line-height: 120%;
  padding: 6px 13px 17px 22px;
}

.datepicker__container {
  display: flex;
  flex-wrap: wrap;
  width: 100%;
  margin-top: 32px;
  align-items: center;
  position: relative;
  z-index: 1;
}
.datepicker__container .daterange_sec {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.datepicker__container .datepick__cont {
  position: relative;
}
.datepicker__container .datepick__label {
  position: absolute;
  left: 0;
  top: -18px;
  color: #1e22aa;
  font-size: 12px;
  line-height: 16px;
  font-family: JMSansRegular;
  margin-left: 20px;
}
.datepicker__container .dateranger__input {
  background-color: #f2f2f2;
  width: 200px;
  height: 56px;
  margin-right: 20px;
  padding: 14px 0px 0px 20px !important;
  border: none;
  outline: none;
  cursor: pointer;
  border-bottom: 2px solid #1e22aa !important;
  font-size: 16px;
  line-height: 21px;
  font-family: JMSansRegular;
  color: #333333;
}
.datepicker__container .dateranger__input::placeholder {
  font-size: 16px;
  font-weight: 21px;
  font-family: JMSansRegular;
  color: #333333;
}
.datepicker__container .right-inner-addon i {
  position: absolute;
  right: 30px;
  padding: 0;
  pointer-events: none;
  color: #1e22aa;
  width: 20px;
  height: 20px;
  font-size: 20px;
  top: 50%;
  margin-top: -10px;
}

.close__button {
  z-index: 0;
}

.daterangepicker.opensright:after,
.daterangepicker.opensright:before {
  display: none;
}

.daterangepicker {
  margin-top: 0px;
  z-index: 1 !important;
}
.daterangepicker .calendar-table table tr td {
  font: 12px/16px JMSansRegular;
  color: #333333;
}
.daterangepicker .drp-selected {
  display: none !important;
}
.daterangepicker td.weekend.active.end-date.in-range.available,
.daterangepicker td.weekend.active.start-date.available,
.daterangepicker td.weekend.active.start-date.available,
.daterangepicker td.weekend.active.start-date.available,
.daterangepicker td.active.start-date.available,
.daterangepicker td.active.end-date.in-range.available {
  color: #fff !important;
}
.daterangepicker td.in-range {
  background-color: #ceefff !important;
}
.daterangepicker .drp-calendar.left,
.daterangepicker .drp-calendar.right {
  margin: 0 auto;
}
.daterangepicker .btn-primary,
.daterangepicker .btn-default {
  background-color: #fff;
  border: none !important;
  color: #1e22aa !important;
}
.daterangepicker select.monthselect,
.daterangepicker select.yearselect {
  border: none;
  outline: none;
}

.daterangepicker .drp-buttons .btn {
  font-size: 14px !important;
}

td.off.available {
  visibility: hidden;
}

.daterangepicker td.active,
.daterangepicker td.active:hover {
  background-color: #1e22aa !important;
  border-radius: 50% !important;
  width: 28px !important;
  height: 28px !important;
}

.daterangepicker:before {
  top: 0;
}

.price_chart .export__text {
  font: 18px/24px JMSansRegular;
  color: #333333;
  display: flex;
  justify-content: space-between;
  margin-bottom: 0;
}

.price_chart #primary_nav_wrap ul ul div {
  padding: 20px 23px 18px 22px;
}

.price_chart #primary_nav_wrap ul li ul {
  margin-top: 14px;
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.5019607843);
  width: 290px;
  right: -3px;
  position: absolute;
  z-index: 1;
}

.price_chart div.dropdown button {
  position: relative;
}

.price_chart #primary_nav_wrap {
  margin-left: auto;
}

.price_chart #primary_nav_wrap ul {
  right: auto;
}

.price_chart #primary_nav_wrap ul button {
  padding: 15px 14px;
}

.price_chart #primary_nav_wrap ul {
  margin-bottom: 0;
}

.pricedatepick__display {
  position: relative;
  width: 100%;
  z-index: 3;
  padding: 24px 19px 24px 24px;
  background-color: #1e22aa;
  display: flex;
  justify-content: space-between;
  display: none;
}

.pricedaterange__label {
  position: absolute;
  left: 0;
  top: -7px;
  color: #c8c8e9;
  font-size: 14px;
  font-weight: 21px;
  font-family: JMSansRegular;
}

.pricedaterange__input {
  width: 300px;
  height: 56px;
  padding: 0px !important;
  border-bottom: 2px solid #1e22aa !important;
  border: none;
  background-color: #1e22aa;
  outline: none;
  color: #fff;
  font-size: 24px;
  font-family: JMSansMedium;
}

.price_chart .pltnmprice__heading {
  font: 14px/22px JMSansRegular;
  color: #666666;
  text-align: left;
}

.daterangepicker {
  background: #ffffff;
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.5019607843);
  border-radius: 0 !important;
}

.daterangepicker select.monthselect,
.daterangepicker select.yearselect {
  font: 14px/20px JMSansMedium !important;
  width: auto !important;
}

.daterangepicker select.monthselect {
  background: none !important;
}

.daterangepicker select.monthselect,
.daterangepicker select.yearselect {
  margin-top: 5px;
}

.daterangepicker td.disabled,
.daterangepicker option.disabled {
  text-decoration: none !important;
  opacity: 0.7;
}

.daterangepicker .drp-calendar.left {
  padding: 15px 0 15px 20px !important;
}

.daterangepicker .drp-calendar.right {
  padding: 15px 20px 15px 0px !important;
}

.daterangepicker .drp-calendar.left .calendar-table {
  border-right: 1px solid rgba(0, 0, 0, 0.2) !important;
  padding-right: 15px !important;
}

.daterangepicker th.month + th:not(.next),
.daterangepicker thead tr:first-child th:first-child:not(.prev) {
  color: #fff;
  border: solid black;
  border-width: 0 2px 2px 0;
  border-radius: 0;
  display: inline-block;
  padding: 3px;
  transform: rotate(-45deg);
  -webkit-transform: rotate(-45deg);
  cursor: not-allowed;
  opacity: 0.5;
  width: 4px !important;
  height: 4px !important;
  min-width: 4px !important;
  margin-top: 15px;
}

.daterangepicker .calendar-table th {
  letter-spacing: 0px;
  color: #333333;
  padding-top: 5px;
}

.daterangepicker .calendar-table td {
  font: 14px/16px JMSansRegular !important;
  letter-spacing: 0px;
  color: #333333;
}

.daterangepicker th.month + th:not(.next) {
  margin-left: 10px;
}

.daterangepicker thead tr:first-child th:first-child:not(.prev) {
  transform: rotate(135deg);
  -webkit-transform: rotate(135deg);
  margin-left: 15px;
}

.daterangepicker .calendar-table table tr td {
  width: 32px !important;
  height: 32px !important;
  padding: 0 !important;
  background: transparent;
}

.daterangepicker .calendar-table table tr td.active {
  color: #fff !important;
}

.daterangepicker .calendar-table thead tr:nth-child(2) th {
  padding-top: 20px;
  padding-bottom: 20px;
  font-size: 12px !important;
}

.daterangepicker .drp-calendar.right .calendar-table {
  padding-left: 15px;
}

.metal__selected {
  display: none;
}

.metal__selected + div {
  margin-left: auto;
}

.show__listoverlay {
  width: 100%;
  height: 100%;
  position: fixed !important;
  left: 0;
  top: 0;
  background: transparent !important;
}

.daterangepicker {
  left: calc((100% - 1080px) / 2) !important;
}

.price_chart li {
  position: relative;
}

.checkbox__label {
  font-size: 0;
}

#chartContainer {
  position: relative;
}

#chartContainer::after {
  position: absolute;
  width: 100%;
  height: 50px;
  left: 0;
  top: 0;
  content: "";
  background: #ffffff;
}

ul#checkValue {
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.5019607843);
}

li#All {
  padding-bottom: 20px;
}

span.navbar-text-truncate {
  font-size: 14px;
  line-height: 30px;
  color: #1e22aa;
  text-transform: uppercase;
  font-family: JMSansMedium;
}

.navigation-bar .navbar-nav .nav-link {
  padding: 24px 49px 16px 49px;
}

.jm-tabs .navigation-bar-light .nav-link span {
  color: #999;
}

.jm-tabs .navigation-bar-light .nav-link span.active {
  color: #1e22aa;
}

.jm-tabs .navbar-expand {
  border-bottom: 1px solid #d5d5d5;
}

.jm-tabs.container-fluid.container-fluid-max-xl {
  margin-top: 40px;
}

.jm__tabs:before {
  width: 100%;
  height: 1px;
  background: transparent;
  left: 0;
  bottom: -3px;
  content: "";
  position: absolute;
}

.jm__tabs {
  border-bottom: solid 3px transparent !important;
  position: relative;
  min-width: 138px !important;
  padding: 0 !important;
}

.jm__tabs:hover {
  border-bottom: 3px solid #333 !important;
}

.jm__tabs:hover:before {
  background: #f2f2f2 !important;
}

.jmtabs__text {
  padding: 20px 50px 10px !important;
}

.nav-item.active .jm__tabs {
  border-bottom: 2px solid #1d22a9 !important;
}

.jm-tabs.container-fluid.container-fluid-max-xl {
  outline: none !important;
}

@media (min-width: 992px) and (max-width: 1199.98px) {
  .daterangepicker {
    left: calc((100% - 930px) / 2) !important;
  }
}
@media (min-width: 564px) and (max-width: 991.98px) {
  .daterangepicker {
    left: 40px !important;
  }
}
@media (min-width: 320px) and (max-width: 539px) {
  .price_chart div.dropdown ul li.searchInput input {
    margin-bottom: 20px;
  }
  .price_chart #primary_nav_wrap ul li ul {
    width: 100%;
    right: 0px;
  }
  .datepicker__container .daterange_sec {
    flex-basis: 100%;
  }
  .close__button {
    z-index: 10001 !important;
  }
  .datepicker__container {
    z-index: 99 !important;
  }
  #chartContainer::after {
    height: 40px;
  }
  .pricetable__contentcont select.form-control {
    display: block;
    margin-bottom: 13px;
    margin-left: 20px;
  }
  .mb__display {
    display: block;
  }
  .price_chart div.dropdown ul,
  .price_chart div.dropdown ul li {
    width: 100%;
  }
  .pricedaterange__input {
    width: 284px;
    font-size: 20px;
  }
  .daterangepicker td.active,
  .daterangepicker td.active:hover {
    background-color: #1e22aa !important;
    border-radius: 50% !important;
    width: 16px !important;
    height: 40px !important;
  }
  .daterangepicker .drp-calendar {
    max-width: 100% !important;
  }
  .price_chart .export__text {
    font: 14px/22px JMSansRegular;
  }
  .datepicker__container {
    margin-top: 21px;
  }
  .datepick__cont {
    width: calc(50% - 5px);
  }
  .right-inner-addon {
    position: relative;
    width: 100%;
    display: inline-block;
  }
  .right-inner-addon .datepick__label {
    position: absolute;
    left: 0;
    top: 10px;
    color: #1e22aa;
    margin-left: 20px;
  }
  .right-inner-addon .dateranger__input {
    width: 100% !important;
    padding: 14px 0px 0px 19px !important;
    margin-right: 10px !important;
    font-size: 16px;
    color: #333333;
    border-radius: 0;
  }
  .price_chart .export__text {
    font: 14px/22px JMSansRegular;
  }
  .date__to,
  .date__or {
    display: none;
  }
  .daterangepicker {
    position: fixed !important;
    width: 100% !important;
    height: calc(100% - 102px) !important;
    top: 95px !important;
    left: 0 !important;
    z-index: 10000 !important;
    margin: 0;
    overflow: auto;
  }
  div.dropdown ul {
    width: 100%;
  }
  .searchInput.invalid input {
    background: url(../image/visibility-red.svg) 340px 10px no-repeat transparent;
  }
  .searchInput.valid input {
    background: url(../image/visibility-blue.svg) 340px 10px no-repeat transparent;
  }
  #primary_nav_wrap ul {
    right: calc((100% - 537px) / 2);
  }
  #primary_nav_wrap ul li > ul {
    width: 100%;
  }
  .price_chart #primary_nav_wrap ul ul div {
    width: 100%;
  }
  .right-inner-addon i {
    position: absolute;
    right: 10px !important;
    padding: 0 !important;
    pointer-events: none;
    color: #1e22aa;
    width: 15px !important;
    height: 17px !important;
    bottom: 13px !important;
  }
  .price_chart #primary_nav_wrap ul button {
    width: 100% !important;
    display: flex;
    align-items: center;
    text-align: center;
    justify-content: center;
    padding-right: 24px;
  }
  .price_chart #primary_nav_wrap ul {
    right: auto;
  }
  .price_chart #primary_nav_wrap {
    width: 100%;
  }
  .close__button {
    background: url("../image/close_btn-white.svg") 0 0 no-repeat transparent;
    display: none;
    width: 100px;
    height: 24px;
    margin-left: 8px;
    cursor: pointer;
    position: fixed;
    right: -50px;
    top: 20px;
    z-index: 99;
  }
  .pricedatepick__display {
    display: flex !important;
    position: fixed;
    top: 0;
  }
  .canvasjs-chart-toolbar {
    width: 100% !important;
    top: -555px !important;
  }
  div.dropdown {
    width: 100%;
  }
  div.dropdown button {
    margin: 16px 0px !important;
    width: 100% !important;
  }
  div.dropdown button:before,
  div.dropdown button:after {
    top: 45px;
  }
  .daterangepicker,
  .daterangepicker .drp-calendar.left .calendar-table {
    border: none;
  }
  .daterangepicker.auto-apply .drp-buttons {
    display: block !important;
    box-shadow: 0 19px 38px rgba(0, 0, 0, 0.26);
    position: fixed;
    left: 0;
    bottom: 0;
    width: 100%;
    z-index: 26;
    background: #fff;
    padding: 10px;
  }
  .price_chart .save__as {
    width: 20px;
    height: 20px;
    margin-top: -7px;
    top: 50%;
  }
  .daterangepicker .calendar-table table {
    max-width: 375px;
    margin: 0 auto !important;
  }
  .right-inner-addon {
    max-width: 375px;
    margin: 0 auto;
  }
  .daterangepicker .calendar-table table tr td {
    height: 53px !important;
  }
}
@media (max-width: 320px) {
  .right-inner-addon .dateranger__input {
    font-size: 12px;
  }
}
@media (min-width: 540px) and (max-width: 767px) {
  .price_chart div.dropdown ul li.searchInput input {
    margin-bottom: 20px;
  }
  .price_chart #primary_nav_wrap ul li ul {
    width: 100%;
    right: 0px;
  }
  .datepicker__container .daterange_sec {
    flex-basis: 100%;
  }
  .close__button {
    z-index: 10001 !important;
  }
  .datepicker__container {
    z-index: 99 !important;
  }
  #chartContainer::after {
    height: 40px;
  }
  .mb__display {
    display: block;
  }
  .price_chart div.dropdown ul,
  .price_chart div.dropdown ul li {
    width: 100%;
  }
  .pricedaterange__input {
    width: 284px;
    font-size: 20px;
  }
  .daterangepicker td.active,
  .daterangepicker td.active:hover {
    background-color: #1e22aa !important;
    border-radius: 50% !important;
    width: 16px !important;
    height: 40px !important;
  }
  .daterangepicker .drp-calendar {
    max-width: 100% !important;
  }
  .price_chart .export__text {
    font: 14px/22px JMSansRegular;
  }
  .datepicker__container {
    margin-top: 21px;
  }
  .datepick__cont {
    width: calc(50% - 5px);
  }
  .right-inner-addon {
    position: relative;
    width: 100%;
    display: inline-block;
  }
  .right-inner-addon .datepick__label {
    position: absolute;
    left: 0;
    top: 10px;
    color: #1e22aa;
    margin-left: 20px;
  }
  .right-inner-addon .dateranger__input {
    width: 100% !important;
    padding: 14px 0px 0px 19px !important;
    margin-right: 10px !important;
    font-size: 16px;
    color: #333333;
    border-radius: 0;
  }
  .price_chart .export__text {
    font: 14px/22px JMSansRegular;
  }
  .date__to,
  .date__or {
    display: none;
  }
  .daterangepicker {
    position: fixed !important;
    width: 100% !important;
    height: calc(100% - 102px) !important;
    top: 95px !important;
    left: 0 !important;
    z-index: 10000 !important;
    margin: 0;
    overflow: auto;
  }
  div.dropdown ul {
    width: 100%;
  }
  .searchInput.invalid input {
    background: url(../image/visibility-red.svg) 340px 10px no-repeat transparent;
  }
  .searchInput.valid input {
    background: url(../image/visibility-blue.svg) 340px 10px no-repeat transparent;
  }
  #primary_nav_wrap ul {
    right: calc((100% - 537px) / 2);
  }
  #primary_nav_wrap ul li > ul {
    width: 100%;
  }
  .price_chart #primary_nav_wrap ul ul div {
    width: 100%;
  }
  .right-inner-addon i {
    position: absolute;
    right: 10px !important;
    padding: 0 !important;
    pointer-events: none;
    color: #1e22aa;
    width: 15px !important;
    height: 17px !important;
    bottom: 13px !important;
  }
  .price_chart #primary_nav_wrap ul button {
    width: 100% !important;
    display: flex;
    align-items: center;
    text-align: center;
    justify-content: center;
    padding-right: 24px;
  }
  .price_chart #primary_nav_wrap ul {
    right: auto;
  }
  .price_chart #primary_nav_wrap {
    width: 100%;
  }
  .close__button {
    background: url("../image/close_btn-white.svg") 0 0 no-repeat transparent;
    display: none;
    width: 100px;
    height: 24px;
    margin-left: 8px;
    cursor: pointer;
    position: fixed;
    right: -50px;
    top: 20px;
    z-index: 99;
  }
  .pricedatepick__display {
    display: flex !important;
    position: fixed;
    top: 0;
  }
  .canvasjs-chart-toolbar {
    width: 100% !important;
    top: -555px !important;
  }
  div.dropdown {
    width: 100%;
    margin-top: 20px;
  }
  div.dropdown button {
    margin: 16px 0px !important;
    width: 100% !important;
  }
  div.dropdown button:before,
  div.dropdown button:after {
    top: 45px;
  }
  .daterangepicker,
  .daterangepicker .drp-calendar.left .calendar-table {
    border: none;
  }
  .daterangepicker.auto-apply .drp-buttons {
    display: block !important;
    box-shadow: 0 19px 38px rgba(0, 0, 0, 0.26);
    position: fixed;
    left: 0;
    bottom: 0;
    width: 100%;
    z-index: 26;
    background: #fff;
    padding: 10px;
  }
  .price_chart .save__as {
    width: 20px;
    height: 20px;
    margin-top: -7px;
    top: 50%;
  }
  .daterangepicker .calendar-table table {
    max-width: 375px;
    margin: 0 auto !important;
  }
  .right-inner-addon {
    max-width: 375px;
    margin: 0 auto;
  }
  .daterangepicker .calendar-table table tr td {
    height: 53px !important;
  }
}
@media (min-width: 540px) and (max-width: 834px) {
  .price_chart div.dropdown ul li.searchInput input {
    margin-bottom: 20px;
  }
  .price_chart #primary_nav_wrap ul li ul {
    width: 100%;
    right: 0px;
  }
  .datepick__label {
    margin-left: 15px;
  }
  .dateranger__input {
    width: 145px;
    height: 56px;
    margin-right: 15px;
    padding: 14px 0px 0px 15px !important;
  }
  .date__to,
  .date__or {
    margin: 10px 15px 0px 0px;
  }
  div.dropdown button {
    width: 135px;
    position: relative;
  }
  div.dropdown button {
    width: 135px;
    position: relative;
  }
  #primary_nav_wrap {
    margin-left: auto;
  }
  #primary_nav_wrap ul {
    right: auto;
    margin-bottom: 0;
  }
  #primary_nav_wrap ul button {
    padding: 15px 14px;
  }
  #primary_nav_wrap ul li:hover > ul {
    width: 100%;
  }
  .searchInput.valid input {
    background-position: calc(100% - 5px) center;
  }
  .searchInput.invalid input {
    background-position: calc(100% - 5px) center;
  }
  div.dropdown ul {
    width: 135px;
  }
  canvas.canvasjs-chart-canvas {
    width: 100%;
  }
  .metals__sec,
  .chart__sec {
    flex: 0 0 100%;
    max-width: 100%;
  }
}
@media (min-width: 768px) and (max-width: 920px) {
  .datepicker__container .dateranger__input {
    padding: 14px 0px 0px 18px !important;
    margin-right: 7px;
    width: 145px;
  }
  .datepicker__container .right-inner-addon i {
    right: 15px !important;
  }
  .price_chart div.dropdown button {
    width: 158px;
    padding: 22px 0px 18px 6px;
    font: 12px/21px JMSansRegular;
  }
  div.dropdown ul {
    width: 161px !important;
  }
  .date__to,
  .date__or {
    display: none;
  }
  .price_chart #primary_nav_wrap ul ul div {
    padding: 15px 40px 15px 20px;
  }
  .price_chart #primary_nav_wrap ul li:hover > ul {
    width: 272px !important;
  }
  .price_chart .export__text {
    font: 14px/20px JMSansRegular;
  }
  .price_chart .save__icon {
    width: 20px;
    height: 20px;
  }
  .price_chart div.dropdown ul li {
    padding: 0.8em;
    cursor: pointer;
    font-size: 12px;
    font-family: "JMSansRegular";
  }
}
@media (min-width: 835px) and (max-width: 899px) {
  .price_chart .dots {
    margin: 0px 10px 0px 12px !important;
  }
  .price_chart div.pricelist__container {
    font: 13px/20px JMSansRegular !important;
  }
  .price_chart .priceCurrent__values {
    padding: 20px 9px 20px 9px !important;
    font: 13px/20px JMSansRegular !important;
  }
  .price_chart .checkbox-container input[type=checkbox]:checked + label::after {
    left: 6px !important;
    top: 24px !important;
  }
  .price_chart div.dropdown button {
    padding: 22px 0px 18px 10px;
    width: 170px;
    font: 14px/21px JMSansRegular;
  }
}
@media (min-width: 900px) and (max-width: 1023px) {
  .datepicker__container .dateranger__input {
    width: 180px;
    margin-right: 12px;
  }
  .price_chart .checkbox-container input[type=checkbox]:checked + label::after {
    left: 20px;
    top: 20px;
  }
  .price_chart .date__to,
  .price_chart .date__or {
    margin: 0px 13px 0px 0px;
  }
  .price_chart div.dropdown button {
    padding: 22px 0px 18px 10px;
    width: 180px;
    font-size: 14px;
  }
}
/**
 * Modals ($modals)
 */
/* 1. Ensure this sits above everything when visible */
.popup {
  position: absolute;
  z-index: 10000;
  top: 0;
  left: 0;
  visibility: hidden;
  width: 100%;
  height: 100%;
  overflow-y: auto;
}

.popup-open {
  overflow: scroll;
}

.modal-open {
  overflow: scroll;
}

.popup.is-visible {
  visibility: visible;
}

.popup-overlay {
  position: fixed;
  z-index: 10;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: hsla(0deg, 0%, 0%, 0.5);
  visibility: hidden;
  opacity: 0;
  transition: visibility 0s linear 0.3s, opacity 0.3s;
  overflow-y: auto;
}

.popup.is-visible .popup-overlay {
  opacity: 1;
  visibility: visible;
  transition-delay: 0s;
}

.popup-wrapper {
  position: absolute;
  z-index: 9999;
  top: 0em;
  left: 50%;
  width: 32em;
  margin-left: -16em;
  background-color: #fff;
  box-shadow: 0 0 1.5em hsla(0deg, 0%, 0%, 0.35);
}

.popup-transition {
  transition: all 0.3s 0.12s;
  transform: translateY(-10%);
  opacity: 0;
}

.popup.is-visible .popup-transition {
  transform: translateY(0);
  opacity: 1;
}

.popup-header, .popup-content {
  padding: 30px !important;
}

.popup-header {
  position: relative;
  background-color: #fff;
  box-shadow: 0 1px 2px hsla(0deg, 0%, 0%, 0.06);
  border-bottom: 1px solid #e8e8e8;
}

.popup-close {
  position: absolute;
  top: 0;
  right: 0;
  padding: 1em;
  color: #aaa;
  background: none;
  border: 0;
  font-size: 30px !important;
  line-height: 0px !important;
}

.popup-close:hover {
  color: #777;
}

.popup-content {
  overflow-y: auto !important;
  height: 300px;
}

.popup-heading {
  font-size: 1.125em;
  margin: 0;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.popup-content > *:first-child {
  margin-top: 0;
}

.popup-content > *:last-child {
  margin-bottom: 0;
}

.downloadbtn {
  margin-top: 100px;
  padding: 15px;
  width: 300px;
  align-items: center;
  justify-content: center;
  font: 18px/22px JMSansMedium;
  color: #1e22aa;
  background-color: #ffffff;
  cursor: pointer;
  border: 2px solid #1e22aa !important;
  margin-left: 80px !important;
}

.downloadbtn:hover {
  background-color: #1e22aa;
  color: white;
}

.select-lable-text {
  font: 14px JMSansMedium;
  color: #333333;
  margin-right: 20px !important;
  margin-left: 20px !important;
  align-self: center;
}

#myDIV p {
  width: 100%;
  margin-left: 122px;
  color: #ff0000;
  margin-top: 7px;
}

/*Added css for dropdown*/
.selectRegionBox {
  border: 1px solid #ccc;
  position: relative;
  padding: 12px 24px;
  cursor: pointer;
  width: 50%;
  max-width: 50%;
}
.selectRegionBox__value {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  display: block;
}
.selectRegionBox:after {
  position: absolute;
  right: 12px;
  top: 50%;
  transform: translateY(-50%) rotate(0deg);
  content: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='14.001' height='8.165' viewBox='0 0 14.001 8.165'%3E%3Cdefs%3E%3Cstyle%3E.a%7Bfill:%23212121;%7D%3C/style%3E%3C/defs%3E%3Cpath class='a' d='M13.861,60.224l-.7-.7a.441.441,0,0,0-.645,0L7,65.036,1.487,59.522a.441.441,0,0,0-.645,0l-.7.7a.441.441,0,0,0,0,.645l6.537,6.538a.441.441,0,0,0,.645,0l6.538-6.538a.442.442,0,0,0,0-.645Z' transform='translate(0 -59.382)'/%3E%3C/svg%3E");
}
.selectRegionBox div.selectregionmenu {
  background-clip: padding-box;
  background-color: #fff;
  border-color: rgba(0, 0, 0, 0.15);
  border-style: solid;
  border-width: 1px;
  border-radius: 0.25rem;
  color: #212529;
  display: none;
  float: left;
  font-size: 1rem;
  left: 0;
  list-style: none;
  margin: 0.125rem 0 0;
  max-height: 500px;
  max-width: 260px;
  min-width: 15rem;
  overflow: auto;
  padding: 0.5rem 0 0;
  position: absolute;
  text-align: left;
  top: 100%;
  z-index: 1000;
  transform: translateY(-15%);
}
.selectRegionBox.show_selectregiondata .selectregionmenu {
  visibility: visible;
  opacity: 1;
  z-index: 1;
  transform: translateY(0);
  display: block;
}
.selectRegionBox.show_selectregiondata .selectregionmenu:after {
  transform: translateY(-50%) rotate(180deg);
}
.selectRegionBox .selectregionmenu a.selectregionitem {
  background-color: transparent;
  border-radius: 0;
  border-width: 0;
  clear: both;
  color: #212529;
  cursor: pointer;
  display: block;
  font-weight: 400;
  overflow: hidden;
  padding-bottom: 0.25rem;
  padding-left: 1.5rem;
  padding-right: 1.5rem;
  padding-top: 0.25rem;
  position: relative;
  text-align: inherit;
  transition: none;
  white-space: normal;
  width: 100%;
  overflow-wrap: break-word;
  word-wrap: break-word;
}
.selectRegionBox .selectregionmenu .selectregionitem.active {
  pointer-events: initial;
}
.selectRegionBox a:hover {
  background-color: #D3D3D3 !important;
  color: white !important;
}

/* For mobile phones: */
@media (min-width: 320px) and (max-width: 539px) {
  .popup-content {
    overflow-y: auto !important;
    height: 300px !important;
  }
  .popup-wrapper {
    left: 72%;
    width: 21em;
    height: 24em;
  }
  .downloadbtn {
    width: 200px !important;
    margin-left: 40px !important;
  }
  .downloadbtn:hover {
    background-color: #1e22aa;
    color: white;
  }
  #myDIV p {
    margin-left: 6px;
    margin-top: 2px;
  }
  /*Added css for dropdown*/
  .selectRegionBox {
    margin-left: 7%;
    width: 79%;
    max-width: 80%;
    margin-top: 8%;
  }
  div.selectregionmenu {
    min-width: 15rem !important;
  }
}
@media (min-width: 480px) and (max-width: 767px) {
  .popup-wrapper {
    left: 50%;
    width: 22em;
  }
  .popup-content {
    overflow-y: auto !important;
    height: 275px !important;
  }
  .downloadbtn {
    width: 200px !important;
    margin-left: 35px !important;
    margin-top: 85px !important;
  }
  .downloadbtn:hover {
    background-color: #1e22aa;
    color: white;
  }
  #myDIV p {
    margin-left: 6px;
    margin-top: 2px;
  }
}